Skip to navigation

Update Monitor

Update a monitor’s status. Passing is_archived: false restores an archived monitor — there is no separate restore endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
company_idintegerRequired

Request

This endpoint expects an object.
statusenum or nullOptional
Allowed values:
is_archivedboolean or nullOptional

Response

Successful Response
idinteger
company_idinteger
group_idinteger
statusenum
Allowed values:
companyobject
created_atstringOptionalformat: "date-time"
updated_atstring or nullOptionalformat: "date-time"
is_archivedboolean or nullOptional
latest_roundstring or nullOptional

Errors

422
Unprocessable Entity Error